shishi_as_sendrecv_hint(3)

NAME
shishi_as_sendrecv_hint - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_sendrecv_hint(Shishi_as * as, Shishi_tkts_hint * hint);

ARGUMENTS

Shishi_as * as
    structure that holds information about AS exchange

Shishi_tkts_hint * hint
    additional parameters that modify connection behaviour, or NULL.

DESCRIPTION
Send AS-REQ and receive AS-REP or KRB-ERROR. This is the initial authentication, usually used to acquire a Ticket Granting Ticket. The hint structure can be used to set, e.g., parameters for TLS authentication.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.